Generate image (qwen-image)
curl --request POST \
--url https://rockapi.ai/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image-plus",
"input": {
"messages": [
{
"role": "user",
"content": [
{
"text": "An elegant, solemn pair of couplets hangs in a quiet classical Chinese room. Blue-and-white porcelain sits on the table. The left couplet reads \"Wisdom arises naturally, humans and machines share the same path and think anew,\" the right reads \"Cloud intelligence opens the universe and reaches high ambitions,\" and the horizontal scroll reads \"Wisdom opens Tongyi.\" The calligraphy is graceful, and a Chinese-style painting of Yueyang Tower hangs in the center."
}
]
}
]
},
"parameters": {
"negative_prompt": "",
"prompt_extend": true,
"watermark": false,
"size": "1328*1328"
}
}
'import requests
url = "https://rockapi.ai/v1/images/generations"
payload = {
"model": "qwen-image-plus",
"input": { "messages": [
{
"role": "user",
"content": [{ "text": "An elegant, solemn pair of couplets hangs in a quiet classical Chinese room. Blue-and-white porcelain sits on the table. The left couplet reads \"Wisdom arises naturally, humans and machines share the same path and think anew,\" the right reads \"Cloud intelligence opens the universe and reaches high ambitions,\" and the horizontal scroll reads \"Wisdom opens Tongyi.\" The calligraphy is graceful, and a Chinese-style painting of Yueyang Tower hangs in the center." }]
}
] },
"parameters": {
"negative_prompt": "",
"prompt_extend": True,
"watermark": False,
"size": "1328*1328"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen-image-plus',
input: {
messages: [
{
role: 'user',
content: [
{
text: 'An elegant, solemn pair of couplets hangs in a quiet classical Chinese room. Blue-and-white porcelain sits on the table. The left couplet reads "Wisdom arises naturally, humans and machines share the same path and think anew," the right reads "Cloud intelligence opens the universe and reaches high ambitions," and the horizontal scroll reads "Wisdom opens Tongyi." The calligraphy is graceful, and a Chinese-style painting of Yueyang Tower hangs in the center.'
}
]
}
]
},
parameters: {negative_prompt: '', prompt_extend: true, watermark: false, size: '1328*1328'}
})
};
fetch('https://rockapi.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
]
}Image generation/Qwen
Generate image (qwen-image)
High-quality image generation using Alibaba Bailian Qwen-Image models. Supports advanced prompt engineering and specific style controls for professional visual content.
POST
/
v1
/
images
/
generations
Generate image (qwen-image)
Authorizations
Authenticate with a Bearer Token.
Format: Authorization: Bearer sk-xxxxxx
Body
application/json
